/**
 * Copyright (C) 2008 TT. All rights reserved.
 */
package com.yh.saas.plugin.base.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 类名称：EOBase
 * 内容摘要：EO抽象类  （create_user_id和update_user_id固定传sysadmin  其他的不用传）
 *
 * @author yinghai
 * @version 1.0 2013/04/02
 */
@SuppressWarnings("serial")
public abstract class EOBase implements Serializable {
    /**
     * 删除标识
     */
    private String delete_flag;
    /**
     * 更新次数
     */
    private Long update_count;
    /**
     * 作成年月日
     */
    private Date create_date;
    /**
     * 作成用户ID
     */
    private String create_user_id;  //固定传sysadmin  
    /**
     * 更新年月日
     */
    private Date update_date;
    /**
     * 更新用户ID
     */
    private String update_user_id; //固定传sysadmin
    /**
     * 更新标识
     */
    private String update_flag;
    /**
     * 当前版本号
     */
    private Long now_version_no;
    /**
     * 上一次同步后版本号
     */
    private Long prev_version_no;

    /**
     * 取得 删除标识
     *
     * @return 删除标识
     */
    public String getDelete_flag() {
        return delete_flag;
    }

    /**
     * 设定 删除标识
     *
     * @param delete_flag 删除标识
     */
    public void setDelete_flag(String delete_flag) {
        this.delete_flag = delete_flag;
    }

    /**
     * 取得 更新次数
     *
     * @return 更新次数
     */
    public Long getUpdate_count() {
        return update_count;
    }

    /**
     * 设定 更新次数
     *
     * @param update_count 更新次数
     */
    public void setUpdate_count(Long update_count) {
        this.update_count = update_count;
    }

    /**
     * 取得 作成年月日
     *
     * @return 作成年月日
     */
    public Date getCreate_date() {
        return create_date;
    }

    /**
     * 设定 作成年月日
     *
     * @param create_date 作成年月日
     */
    public void setCreate_date(Date create_date) {
        this.create_date = create_date;
    }

    /**
     * 取得 作成用户ID
     *
     * @return 作成用户ID
     */
    public String getCreate_user_id() {
        return create_user_id;
    }

    /**
     * 设定 作成用户ID
     *
     * @param create_user_id 作成用户ID
     */
    public void setCreate_user_id(String create_user_id) {
        this.create_user_id = create_user_id;
    }

    /**
     * 取得 更新年月日
     *
     * @return 更新年月日
     */
    public Date getUpdate_date() {
        return update_date;
    }

    /**
     * 设定 更新年月日
     *
     * @param update_date 更新年月日
     */
    public void setUpdate_date(Date update_date) {
        this.update_date = update_date;
    }

    /**
     * 取得 更新用户ID
     *
     * @return 更新用户ID
     */
    public String getUpdate_user_id() {
        return update_user_id;
    }

    /**
     * 设定 更新用户ID
     *
     * @param update_user_id 更新用户ID
     */
    public void setUpdate_user_id(String update_user_id) {
        this.update_user_id = update_user_id;
    }

    /**
     * 取得 更新标识
     *
     * @return 更新标识
     */
    public String getUpdate_flag() {
        return update_flag;
    }

    /**
     * 设定 更新标识
     *
     * @param update_flag 更新标识
     */
    public void setUpdate_flag(String update_flag) {
        this.update_flag = update_flag;
    }

    /**
     * 取得 当前版本号
     *
     * @return now_version_no 当前版本号
     */
    public Long getNow_version_no() {
        return now_version_no;
    }

    /**
     * 设定 当前版本号
     *
     * @param nowVersionNo 当前版本号
     */
    public void setNow_version_no(Long nowVersionNo) {
        now_version_no = nowVersionNo;
    }

    /**
     * 取得 上一次同步后版本号
     *
     * @return prev_version_no 上一次同步后版本号
     */
    public Long getPrev_version_no() {
        return prev_version_no;
    }

    /**
     * 设定 上一次同步后版本号
     *
     * @param prevVersionNo 上一次同步后版本号
     */
    public void setPrev_version_no(Long prevVersionNo) {
        prev_version_no = prevVersionNo;
    }
}